#define set_bit(ADDRESS,BIT) (ADDRESS |= (1<<BIT))
#define clear_bit(ADDRESS,BIT) (ADDRESS &= ~(1<<BIT))

#ifndef F_CPU
 #define F_CPU 16000000UL	/* Define CPU frequency here 16MHz */
#endif

#ifndef UART_H_
#define UART_H_

#include <stdio.h>
#include <avr/io.h>
#include <util/delay.h>

#define BAUD_PRESCALE  (((F_CPU / (BAUDRATE * 16UL))) - 1)

void hw_init( void );
void uart_init( void );
	 
int uart_putc( char c, FILE *stream );
void uart_puts( const char *s );

char uart_getc( void );

void initRGBled();

void setRGBled(uint8_t r, uint8_t g, uint8_t b);

int generateRandomNumber(int min, int max);

void initRandomGenerator();

void delay(int delay); 

#endif /* UART_H_ */





